#17488 closed Bugs (Incomplete (need more info))

dpkg error trying to overwrite '/usr/share/icons/hicolor/128x128/apps/kodi.png', which is also in package kodi-data 2:17.1+dfsg1-1

Reported by: Enigma0 Owned by: wsnipex
Priority: 4 - Normal
Component: Linux Distribution (Operating-System) Version: 17.3 "Krypton" Final
Severity: Normal Keywords: dpkg
Cc: Blocked By:
Blocking: Platform: Linux

Description

Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu zesty/main amd64 kodi all 2:17.3+git20170525.0741-final-0zesty [20.1 MB]
Get:2 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu zesty/main amd64 kodi-bin amd64 2:17.3+git20170525.0741-final-0zesty [13.1 MB]
Fetched 33.2 MB in 5s (6,414 kB/s)   
(Reading database ... 304487 files and directories currently installed.)
Preparing to unpack .../kodi_2%3a17.3+git20170525.0741-final-0zesty_all.deb ...
Unpacking kodi (2:17.3+git20170525.0741-final-0zesty) over (2:17.1+dfsg1-1) ...

dpkg: error processing archive /var/cache/apt/archives/kodi_2%3a17.3+git20170525.0741-final-0zesty_all.deb (--unpack):
 trying to overwrite '/usr/share/icons/hicolor/128x128/apps/kodi.png', which is also in package kodi-data 2:17.1+dfsg1-1

dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

Preparing to unpack .../kodi-bin_2%3a17.3+git20170525.0741-final-0zesty_amd64.deb ...
Unpacking kodi-bin (2:17.3+git20170525.0741-final-0zesty) over (2:17.1+dfsg1-1) ...

dpkg: error processing archive /var/cache/apt/archives/kodi-bin_2%3a17.3+git20170525.0741-final-0zesty_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/kodi', which is also in package kodi 2:17.1+dfsg1-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

Errors were encountered while processing:
 /var/cache/apt/archives/kodi_2%3a17.3+git20170525.0741-final-0zesty_all.deb
 /var/cache/apt/archives/kodi-bin_2%3a17.3+git20170525.0741-final-0zesty_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Change History (3)

comment:1 Changed at 2017-06-01T03:37:32+01:00 by Enigma0

I've tried running sudo apt-get clean and using --reinstall but same outcome.

comment:2 Changed at 2017-06-10T20:20:48+01:00 by yolk

Did you try removing kodi-data?

comment:3 Changed at 2018-05-10T21:51:55+01:00 by Rechi

  • Milestone Pending / Future deleted
  • Resolution set to Incomplete (need more info)
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.